# Handouts Plugin

This unofficial TaleSpire plugin which allows web and local handouts (images) to be shared to all clients. 

https://youtu.be/sRYln7Gc6Dg

## Install

Use R2ModMan to install the plugin.

If you are updating the plugin, you will need to edit the R2ModMan configuration to correct the shortcut keys.

Note: When using local images, all clients must have those images installed locally in a FAP legal location.

## Usage

### Dialog Based Handouts

Once a board has loaded use the triggering shortcut to activate the Dialog Based Input. This shortcut is configurable
in R2ModMan but defaults to LeftAlt+H (for dialog based handout).

This will open a dialog box.

To use web URL type the entire URL. Make sure that the URL starts with HTTP (or HTTPS).
To use a local image, type the image name without the path or the extension.

### Mini Based Handouts

Once a board has loaded, select a mini.

Use the triggering shortcut to activate the Mini Based Input. This shortcut is configurable in R2ModMan but defaults to
LeftCtrl+H (for mini based handout).

If the mini has a Link assigned to it that ends in ``.BMP``, ``.GIF``, ``.JPG``, or ``.PNG`` then it is used as the URL for
the handout. If the mini does not have an Link or the Link does not end in one of the listed extensions then the URL is
created from the ``File Base`` configuration where:

``{NAME}`` is replaced with the Mini name.
``{PLAYER}`` is replaced withe player.

Typically the Base File can be used to construct the local file name (e.g. ``{NAME}.Handout.png``) or a internet URL
(e.g. ``HTTP://www.fantasyart.ca/LordAshes/{NAME}.png``). In most cases, the ``{NAME}`` will be part of the Base File to
allow the loaded image to be mini specific. In most cases ``{PLAYER}`` is not used. However, ``{PLAYER}`` is available to be
able to make player specific handouts. For example, if some creature has a special sight, you can make a player specific
version of the handout.

## Change Log

1.3.0: Added support for reading the URL from the mini Link property
1.3.0: Added Base File configuration allowing the creation of the desired file name or URL.
1.2.0: Added Mini based Handouts
1.1.0: Refactored to use File Access to find image files
1.1.0: Refactored to use Asset Data Plugin for distribution
1.0.5: Relinked source code to work with latest BR assemblies
1.0.4: Plugin posted on TaleSpire main page
1.0.3: Expected local images are to be in TaleSpire_CustomData\Images